import { select } from 'd3';

export const main = (container) => {
  const width = container.clientWidth;
  const height = container.clientHeight;
  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height)
    .style('background', 'lightblue');

  // Draw birds
  const birdCount = 3;
  for (let i = 0; i < birdCount; i++) {
    const birdX = Math.random() * width;
    const birdY = (Math.random() * height) / 2;
    drawBird(svg, birdX, birdY);
  }
};

function drawBird(svg, x, y) {
  // Body
  svg
    .append('circle')
    .attr('cx', x)
    .attr('cy', y)
    .attr('r', 10)
    .attr('fill', 'black');

  // Head
  svg
    .append('circle')
    .attr('cx', x + 15)
    .attr('cy', y)
    .attr('r', 5)
    .attr('fill', 'black');

  // Wings
  svg
    .append('path')
    .attr('d', `M${x - 5},${y} q-5,-5 0,-10 q10,5 0,10`)
    .attr('fill', 'black');
}
